$AdfDhtmlInputRangeSliderPeer$$.$_SUB_ID_MAP$ = {thumb2:"thumb2"};
$AdfDhtmlInputRangeSliderPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlInputRangeSliderPeer$$$$$GetSubIdDomElement$$($subElementId$$31$$) {
  var $component$$2433$$ = this.$getComponent$();
  return $AdfSubIdUtils$$.$getSubIdDomElementDelegateSuper$($subElementId$$31$$, $AdfDhtmlInputRangeSliderPeer$$.$_SUB_ID_MAP$, $component$$2433$$, this, $AdfDhtmlInputRangeSliderPeer$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputRangeSliderPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlInputRangeSliderPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlInputRangeSliderPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlInputRangeSliderPeer$$$$$GetBestMatchSubId$$($domElement$$652$$) {
  var $subId$$52$$ = $AdfSubIdUtils$$.$getBestMatchSubId$($domElement$$652$$, this, $AdfDhtmlInputRangeSliderPeer$$.$_SUB_ID_MAP$);
  $subId$$52$$ || ($subId$$52$$ = $AdfSubIdUtils$$.$getBestMatchSubIdDelegateSuper$($domElement$$652$$, this, $AdfDhtmlInputRangeSliderPeer$$.$_SUB_ID_MAP$, $AdfDhtmlInputRangeSliderPeer$$));
  return $subId$$52$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputRangeSliderPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlInputRangeSliderPeer$$.prototype.$GetBestMatchSubId$});
